/**
 * @file tventanuco.h
 * @brief Primer programa Qt para SII
 *
 * @author Angel Perles
 */

#ifndef TVENTANUCO_H
#define TVENTANUCO_H

// Elementos que voy a necesitar
#include <QDialog>  // voy a crear un dialogo!
#include <QPushButton>
#include <QVBoxLayout>
#include <QLabel>
#include <QLineEdit>

// otra opcion es usar declaraciones "forward" de C/C++ para acelerar la compilacion
//class QPushButton;
//class QVBoxLayout;
//class QLabel;
//class QLineEdit;

// definicion de la nueva clase TVentanuco que vamos
// a derivar de QDialog
class TVentanuco : public QDialog
{
    Q_OBJECT    // <-- ponlo siempre que quieras que funcione signal/slot

public:
    TVentanuco(const char *mensaje);   // el constructor

private:
    // vamos a meter unas cuantas cosas
    double valor;
    QVBoxLayout *lyDistribuidor;
    QLabel *lbEtiqueta;
    QLineEdit *leEdicion;
    QPushButton *btToquetear;
    QPushButton *btCerrar;
};

#endif // TVENTANUCO_H
